Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# JMS Server Connection Properties

You can add the JMS server connection properties at the cluster level (the Cluster tab) if they apply to JMS channels in all processing units in the cluster or you can add for the PU on the Processing Unit tab.

See TIBCO BusinessEvents Developer Guide for details about configuring a JMS channel.

JMS Server Connection Properties
Property | Notes
--- | ---
`com.tibco.tibjms.connect.attempts` | Specifies the number of reconnection attempts, and the interval between each attempt to connect to the JMS server. The value must use the format: attempts,retry interval. For example: `10,500` means 10 attempts, with a 500-millisecond interval between each retry attempt. This property is used only for channels that have a TIBCO Enterprise Message Service provider. Note: Use either `be.jms.reconnect.timeout` or `com.tibco.tibjms.connect.attempts`. If you set both the properties, then `com.tibco.tibjms.connect.attempts` takes precedence. The property does not work for the JNDI connection. The default value is `2, 500`.
`be.jms.ignore.startup.error.channels` | Ignores the startup errors for the specified JMS URIs. You can specify a comma-separated list of JMS channel URIs as the value of the property. The default value is an empty string to retain existing behavior. Set the value to an asterisk (*) to ignore startup errors for all JMS channels. Also, set the property `be.jms.reconnect.timeout=<value in seconds>` to retry the connection to Enterprise Message Service servers.
`be.jms.reconnect.timeout` | Specifies the retry interval (in seconds) for reconnecting to the JMS server when the connection is broken. A value of zero (0) means do not retry. Any other value means keep retrying (with no limit to number of retries), and use the specified interval between each attempt. If you require incremental interval between the reconnect attempts then set the `be.jms.reconnect.timeout.incremental.enabled` property. Unacknowledged messages (Events) are resent to the TIBCO BusinessEvents engine, which may result in duplicate events. Note: Use either `be.jms.reconnect.timeout` or `com.tibco.tibjms.connect.attempts`. If you set both the properties, then `com.tibco.tibjms.connect.attempts` takes precedence. The default value is`0` (zero)
`be.jms.reconnect.timeout.incremental.enabled` | Using this property the random and incremental delays between JMS reconnect attempts are available. Thus, the reconnect requests are spaced out and do not send too many connect requests at once to the JMS server. The intervals start with the value of `be.jms.reconnect.timeout` as the minimum value and keep on increasing with each attempt up to a certain maximum limit, beyond which the interval is always the same as the maximum limit. The default value is false. This property can only be used along with the `be.jms.reconnect.timeout` property.
`be.jms.reconnect.msgCodes` | Specifies a case-insensitive character pattern that matches all error messages or error codes that will cause a reconnect attempt. This property is used for JMS channels with providers other than TIBCO Enterprise Message Service. Default is * (that is, the wildcard matched by any characters.)
`be.channel.tibjms.queue.disabled` `be.channel.tibjms.topic.disabled` | By default, be-engine connects to all defined channels on startup, including those not mentioned in the CDD file. This is because such channels can be used as output channels. However this is not always desired. To disable queue or topic connections for specific JMS channels, add the following properties as appropriate. Enter the project path to the JMS channel as the individual value. Use commas or spaces as the delimiter. Use forward slashes in the project path. For example: `be.channel.tibjms.queue.disabled=/channels/1jmschannel, /channels/3jmschannel` `be.channel.tibjms.topic.disabled=/channels/2jmschannel, /channels/4jmschannel`
`be.channel.jms.unified` | By default, TIBCO BusinessEvents creates two connections to a JMS server, with the client IDs. Set this property value to `true` for all agents to create a single connection with the same client ID as specified in the channel resource properties, or in the JMS Connection shared resource, if used. In the unified mode only a single value is required. Note: When the connection is configured using a JMS Connection shared resource, ensure that the topic and queue connection factories on the JMS Connection shared resource Advanced tab match each other. Also, when using TIBCO Enterprise Message Service, use GenericConnectionFactory for both.
`be.channel.jms.disallow.dup.clientid` | Specifies whether the duplicate client ID can be used in the engine. When enabled, the engine fails to start when a duplicate client ID is encountered, even if the duplicate client ID is in the second engine. If the `be.channel.jms.disallow.dup.clientid` property is enabled in the default mode (not the unified mode), the JMS channel needs two client IDs (whitespace separated) to startup successfully (one for the queue connection, and one for the topic connection). In the unified mode, only one client ID is required.
`be.channel.jms.sender.session.pool.maxsize` | Specifies the maximum pool size for the JMS sender session pool. Once set, it activates the JMS sender session pool for each JMS channel in the project. By default no sender session pool is created, and a single shared session is used by sending functions per channel. This property is applicable for the non-transacted mode only. The minimum allowed value of the property is `1`.
`be.channel.jms.session.recover.onAckFailure` | Specifies whether to autorecover a session that failed after acknowledgment failure of unexpired messages. To stop session autorecovery for such failures, set the `be.channel.jms.session.recover.onAckFailure` property to `false`. The default value is `true`.
`be.jms.error.endpoint.enable` | Specifies whether to enable forwarding of messages to error queue or topic for all destinations. If this property is enabled, TIBCO BusinessEvents forwards any unsupported message from the original destination queue or topic to an error queue or topic. These unsupported messages are then cleared from the original destination queue. The original message is acknowledged by BusinessEvents and proper error message is thrown for the unsupported message. If this property is enabled then you might also want to define `be.jms.default.error.queue.name` and `be.jms.default.error.topic.name` properties. The default value is false. Note: The unsupported type messages are forwarded to the error queue or topic on the same JMS server, on which the original message arrived. Therefore, in case of an application interacting with multiple JMS servers, individual error queue or topic are required on each server.
`be.jms.default.error.queue.name` | Name of the error queue. The default value is `be.application.error.queue`.
`be.jms.default.error.topic.name` | Name of the error topic. The default value is `be.application.error.topic`.
`be.engine.channel.<DestinationURI>.deliverydelay` | Set the delayed delivery time (in milliseconds) for all messages using the JMS channel destination.
`be.channel.jms.session.lock.enable` | To enable the synchronized session for JMS receiver thread, set this property value to `true`. The default value is `false`.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.